#include <stdio.h>
#include <stdlib.h>
#include "uxfio.h"
#include "uxfio_i.h"



int main(int argc, char ** argv)
{
	/* int nullfd = open("/dev/null", O_RDWR, 0); */
	int fd1;
	int fd;
	int fd2;
	char * p;


	fd1 = STDIN_FILENO;
	p = uxfio_dump_string(fd1);
	fprintf(stderr, "%s", p);
	
	fd = uxfio_opendup(fd1, UXFIO_BUFTYPE_DYNAMIC_MEM);
	
	fd2 = uxfio_opendup(fd, UXFIO_BUFTYPE_DYNAMIC_MEM);
	
	p = uxfio_dump_string(fd2);
	fprintf(stderr, "%s", p);

	uxfio_close(fd2);
	return 0;
}
